Page MenuHomePhabricator

[lldb][AArch64] Add MTE CPU feature test predicate
AbandonedPublic

Authored by DavidSpickett on Feb 23 2021, 6:34 AM.

Details

Reviewers
omjavaid
Summary

Change the logic slightly so that the feature can
be anywhere in the list.

Diff Detail

Event Timeline

DavidSpickett created this revision.Feb 23 2021, 6:34 AM
DavidSpickett requested review of this revision.Feb 23 2021, 6:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 23 2021, 6:34 AM

I think we both have something like this in our changes. Yours will probably land sooner but here it is anyway.

omjavaid accepted this revision.Feb 26 2021, 3:47 AM

This is accepted with a caveat above.

lldb/packages/Python/lldbsuite/test/lldbtest.py
1288

On AArch64 targets CPU features in cpuinfo file are written as Features while on x86 they are written as flags.

So Either we change the function name to reflect it can only be used for AArch64 or keep the previous logic to make it architecture independent.

This revision is now accepted and ready to land.Feb 26 2021, 3:47 AM

Rename to be AArch64 specific.

DavidSpickett marked an inline comment as done.Mar 1 2021, 2:40 AM
DavidSpickett abandoned this revision.Apr 1 2021, 7:27 AM

This is now redundant since Omair landed his changes.